// CSS for form-select
.formSelect {
  position: relative;
  display: block;
  width: 100%;
  height: 45px;
  padding-top: 10px;

  // Title + Label after select
  & > .label {
    position: absolute;
    top: 0.5rem;
    left: 0;
    font-size: 1rem;
    color: $color-gray-web;
    font-weight: 500;
    transform-origin: 0 0;
    transform: translateY(5px);
    transition: all 0.3s ease;
    pointer-events: none;
  }

  // The Style for select
  & > .field {
    width: 100%;
    height: 100%;
    border-bottom: 2px solid $color-gray-web;

    &:not(:invalid) ~ .label {
      color: $color-green-mountain-meadow;
      transform: translateY(-10px) scale(0.75);
    }
  }
}
